﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Drawing;

namespace WPF_Wii_Binding_Library
{
    public class FingerPoint
    {
        public System.Windows.Point point;
        public int id;

        public FingerPoint()
        {
        }

        public FingerPoint(System.Windows.Point p, int i)
        {
            point = p;
            id = i;
        }

        public FingerPoint(System.Drawing.PointF p, int i, double scaling, FingerBinding binding)
        {
            //(binding.CanvasWidth - 60) / binding.CanvasWidth => stupid WTF doesn't let you set the center position, only the 'left' position of the ellipse
            double x = Math.Min(Math.Max(((1 - p.X) - 0.5) * (1 / scaling) + 0.5, 0.0), (binding.CanvasWidth - 60) / binding.CanvasWidth);
            double y = Math.Min(Math.Max(((1 - p.Y) - 0.5) * (1 / scaling) + 0.5, 0.0), (binding.CanvasHeight - 60) / binding.CanvasHeight);
            point = new System.Windows.Point(x, y);
            id = i;
        }
    
    };
}
